Bug 949371 - Review Request: StarCluster - Tool for managing computing clusters hosted on Amazon's EC2
Review Request: StarCluster - Tool for managing computing clusters hosted on ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 949214 949302 949311
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-07 22:21 EDT by Orion Poplawski
Modified: 2013-05-08 10:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 16:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-04-07 22:21:02 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/StarCluster.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/StarCluster-0.93.3-1.fc18.src.rpm
Description:
StarCluster is an open source cluster-computing toolkit for Amazon’s Elastic
Compute Cloud (EC2) released under the LGPL license.

StarCluster has been designed to automate and simplify the process of
building, configuring, and managing clusters of virtual machines on Amazon’s
EC2 cloud. StarCluster allows anyone to easily create a cluster computing
environment in the cloud suited for distributed and parallel computing
applications and systems. 

Fedora Account System Username: orion
Comment 1 Mamoru TASAKA 2013-05-02 11:49:43 EDT
For 0.93.3-1

* License
  - Please check below:
    - README.rst says this is under LGPLv3.
    - Also starcluster/templates/web/js/jquery.js seems
      MIT or GPLv2.

* rpmlint issue
  - Please fix below:
------------------------------------
StarCluster.noarch: W: doc-file-dependency /usr/share/doc/StarCluster-0.93.3/docs/epydoc/build.sh /bin/bash
------------------------------------

* Runtime dependency
  - It seems that more "Requires" is needed:
------------------------------------
[tasaka1@localhost ~]$ starcluster help
Traceback (most recent call last):
  File "/usr/bin/starcluster", line 2, in <module>
    from starcluster import cli
  File "/usr/lib/python2.7/site-packages/starcluster/cli.py", line 19, in <module>
    from starcluster import commands
  File "/usr/lib/python2.7/site-packages/starcluster/commands/__init__.py", line 1, in <module>
    from start import CmdStart
  File "/usr/lib/python2.7/site-packages/starcluster/commands/start.py", line 5, in <module>
    import optcomplete
ImportError: No module named optcomplete
------------------------------------

* Suggestion
  * Redundant description
    - "released under the LGPL license" in %description
      is not needed because such license information
      appears in License tag.
Comment 2 Mamoru TASAKA 2013-05-02 11:50:51 EDT
By the way I appreciate it if you would review one of my review requests (bug 958150 )
Comment 3 Orion Poplawski 2013-05-03 00:20:44 EDT
http://www.cora.nwra.com/~orion/fedora/StarCluster-0.93.3-2.fc18.src.rpm

* Thu May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-2
- Fix up requires
- Build docs, separate package

I've sent a message to upstream and to fedora legal to help clarify the licensing.
Comment 4 Mamoru TASAKA 2013-05-03 11:57:18 EDT
For -2:

* Duplicate files
  - Would you explain why you make COPYING and so on included in
    both main package and -doc subpackage, and make -doc subpackage
    _not_ depending on main package?

    I don't see the situation where user just want to install -doc
    subpackage only and duplicating COPYING and so on does not seem
    to make much sense.

* As I said in bug 949311 , it may be preferable to remove egg-info
  files at %prep to ensure that egg-info files are actually rebuilt.

! And now I am waiting for license clarification.
Comment 5 Orion Poplawski 2013-05-03 18:42:09 EDT
http://www.cora.nwra.com/~orion/fedora/StarCluster-0.93.3-3.fc18.src.rpm

* Fri May 2 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-3
- Make doc depend on main package
- Remove shipped egg-info

And we wait for license clarification...
Comment 6 Mamoru TASAKA 2013-05-04 02:47:33 EDT
Okay, basically okay. I will also wait for license clarification.
Comment 7 Tom "spot" Callaway 2013-05-06 21:38:38 EDT
I didn't see Orion's email, but a quick look over this package and I see the jquery stuff (MIT or GPLv2) and (MIT or BSD or GPLv2), most of the StarCluster stuff (LGPLv3), except for starcluster/sshutils/scp.py (LGPLv2+) and starcluster/progressbar.py (LGPLv2+), lots of the .css files (BSD), pylons.css_t (BSD), docs/sphinx/_themes/pylons/static/Neuton-webfont.svg (ASL 2.0), and utils/gitlog2changelog.py (GPLv2+).

However, that last one isn't packaged in the binary RPM. The rest are.

Main package should be:

# Core of StarCluster is LGPLv3
# sshutils/scp.py and progressbar.py are LGPLv2+
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
License: LGPLv3 and LGPLv2+ and (MIT or BSD or GPLv2) and (MIT or GPLv2)

-doc subpackage should be:
# Neuton-webfont is ASL 2.0
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
# Docs seem to be under same license as core module (LGPLv3)
License: LGPLv3 and BSD and ASL 2.0 and (MIT or BSD or GPLv2) and (MIT or GPLv2)

Lifting FE-Legal.
Comment 8 Tom "spot" Callaway 2013-05-06 21:39:26 EDT
Add another comment for the -doc subpackage:

# *.css files are BSD
Comment 9 Orion Poplawski 2013-05-06 22:27:35 EDT
Thanks spot!

http://www.cora.nwra.com/~orion/fedora/StarCluster-0.93.3-4.fc18.src.rpm

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-4
- Final license
Comment 10 Mamoru TASAKA 2013-05-06 22:50:25 EDT
Two more issues:

* Cleaning up %buildroot at the beginning of %install is not needed.
* From rpmlint:
  StarCluster-doc.noarch: W: hidden-file-or-dir 
  /usr/share/doc/StarCluster-doc-0.93.3/html/.buildinfo
  Perhaps this file is not needed.
Comment 11 Orion Poplawski 2013-05-06 23:11:59 EDT
http://www.cora.nwra.com/~orion/fedora/StarCluster-0.93.3-5.fc18.src.rpm

* Mon May 6 2013 Orion Poplawski <orion@cora.nwra.com> 0.93.3-5
- Drop buildroot cleanup
- Remove empty .buildinfo file
Comment 12 Mamoru TASAKA 2013-05-06 23:23:38 EDT
Okay.

------------------------------------------------------
  This package (StarCluster) is APPROVED by mtasaka
------------------------------------------------------

And thank you for license clarification, spot.
Comment 13 Orion Poplawski 2013-05-07 14:02:42 EDT
New Package SCM Request
=======================
Package Name: StarCluster
Short Description: Tool for managing computing clusters hosted on Amazon's EC2
Owners: orion
Branches: f18 f19 el6
InitialCC:
Comment 14 Jon Ciesla 2013-05-07 14:49:09 EDT
Git done (by process-git-requests).
Comment 15 Orion Poplawski 2013-05-07 16:25:06 EDT
Checked in and built.  Thanks all.
Comment 16 Mamoru TASAKA 2013-05-08 08:33:23 EDT
Ah.... sorry. Dependency on -doc subpackage should be:
Requires:       %{name} = %{version}-%{release}
not
Requires:       %{name}-%{version}-%{release}

Please fix this, thank you.
Comment 17 Orion Poplawski 2013-05-08 10:33:04 EDT
Thanks, fixed.

Note You need to log in before you can comment on or make changes to this bug.